---
title: HTMLImageElement.useMap
slug: Web/API/HTMLImageElement/useMap
tags:
  - API
  - DOM
  - HTML
  - HTML DOM
  - HTML WHATWG
  - HTMLImageElement
  - Image maps
  - Links
  - Property
  - Reference
  - interactive
  - useMap
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The <code><strong>useMap</strong></code> property on the {{domxref("HTMLImageElement")}} interface reflects the value of the {{Glossary("HTML")}} {{htmlattrxref("usemap", "img")}} attribute, which is a string providing the name of the client-side image map to apply to the image.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>htmlImageElement</em>.useMap = <em>imageMapAnchor</em>;
let <em>imageMapAnchor</em> = <em>htmlImageElement</em>.useMap;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} providing the page-local URL (that is, a URL that begins with the hash or pound symbol, "<code>#</code>") of the {{HTMLElement("map")}} element which defines the image map to apply to the image.</p>

<p>You can learn more about client-side image maps in our learning article <a href="/en-US/docs/Learn/HTML/Howto/Add_a_hit_map_on_top_of_an_image">Add a hitmap on top of an image</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The string value of <code>useMap</code> must be a valid anchor for a {{HTMLElement("map")}} element. In other words, this string should be the value of the appropriate <code>&lt;map&gt;</code>'s {{htmlattrxref("name", "map")}} attribute with a pound or hash symbol prepended to it.</p>

<p>Consider a <code>&lt;map&gt;</code> that looks like this:</p>

<pre class="brush: html notranslate">&lt;map name="mainmenu-map"&gt;
  &lt;area shape="circle" coords="25, 25, 75" href="/index.html" alt="Return to home page"&gt;
  &lt;area shape="rect" coords="25, 25, 100, 150" href="/index.html" alt="Shop"&gt;
&lt;/map&gt;
</pre>

<p>Given the image map named <code>mainmenu-map</code>, the image which uses it should look something like the following:</p>

<pre class="brush: html notranslate">&lt;img src="menubox.png" usemap="#mainmenu-map"&gt;</pre>

<p>For additional examples (including interactive ones), see the articles about the {{HTMLElement("map")}} and {{HTMLElement("area")}} elements, as well as the <a href="/en-US/docs/Learn/HTML/Howto/Add_a_hit_map_on_top_of_an_image">guide to using image maps</a>.</p>

<h2 id="Example">Example</h2>

<div>{{EmbedInteractiveExample("pages/tabbed/area.html", "tabbed-taller")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-usemap', 'HTMLImageElement.useMap')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.HTMLImageElement.useMap")}}</p>
